/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-02-03
 * 描述            ：探伤要求从表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Api.Qms.vo;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;

public class ComMscStdDetectionC extends BaseVO implements Serializable {
	/** 
	 * 探伤索引号
	 */ 
	private String dic;
	public String  getDic() {
		return this.dic;
	}
	public void setDic(String dic) {
		this.dic = dic;
	}

	/** 
	 * 序号
	 */ 
	private Long index_seq;
	public Long  getIndex_seq() {
		return this.index_seq;
	}
	public void setIndex_seq(Long index_seq) {
		this.index_seq = index_seq;
	}

	/** 
	 * 材质检验项代码
	 */ 

	private String phy_code_s;
	public String  getPhy_code_s() {
		return this.phy_code_s;
	}
	public void setPhy_code_s(String phy_code_s) {
		this.phy_code_s = phy_code_s;
	}

	/** 
	 * 材质检验项名称
	 */ 

	private String phy_name_s;
	public String  getPhy_name_s() {
		return this.phy_name_s;
	}
	public void setPhy_name_s(String phy_name_s) {
		this.phy_name_s = phy_name_s;
	}

	/** 
	 * 探伤位置代码(4020)
	 */ 

	private String position_code;
	public String  getPosition_code() {
		return this.position_code;
	}
	public void setPosition_code(String position_code) {
		this.position_code = position_code;
	}

	/** 
	 * 探伤位置描述
	 */ 

	private String position_desc;
	public String  getPosition_desc() {
		return this.position_desc;
	}
	public void setPosition_desc(String position_desc) {
		this.position_desc = position_desc;
	}

	/** 
	 * 探伤参考标准(4021)
	 */ 

	private String std_desc;
	public String  getStd_desc() {
		return this.std_desc;
	}
	public void setStd_desc(String std_desc) {
		this.std_desc = std_desc;
	}

	/** 
	 * 探伤级别代码(4022)
	 */ 
	
	private String lv_code;
	public String  getLv_code() {
		return this.lv_code;
	}
	public void setLv_code(String lv_code) {
		this.lv_code = lv_code;
	}

	/** 
	 * 刻槽位置(4023)
	 */ 
	
	private String groove_pos;
	public String  getGroove_pos() {
		return this.groove_pos;
	}
	public void setGroove_pos(String groove_pos) {
		this.groove_pos = groove_pos;
	}

	/** 
	 * 刻槽方向(4024)
	 */ 

	private String groove_dir;
	public String  getGroove_dir() {
		return this.groove_dir;
	}
	public void setGroove_dir(String groove_dir) {
		this.groove_dir = groove_dir;
	}

	/** 
	 * 探伤级别描述
	 */ 
	
	private String lv_desc;
	public String  getLv_desc() {
		return this.lv_desc;
	}
	public void setLv_desc(String lv_desc) {
		this.lv_desc = lv_desc;
	}

	/** 
	 * 探伤覆盖率(%)
	 */ 

	private String coverage;
	public String  getCoverage() {
		return this.coverage;
	}
	public void setCoverage(String coverage) {
		this.coverage = coverage;
	}

	/** 
	 * 探伤频率代码(4011)(按比例、逐支)
	 */ 

	private String rate;
	public String  getRate() {
		return this.rate;
	}
	public void setRate(String rate) {
		this.rate = rate;
	}

	/** 
	 * 探伤频率描述
	 */ 
	
	private String desc_rate;
	public String  getDesc_rate() {
		return this.desc_rate;
	}
	public void setDesc_rate(String desc_rate) {
		this.desc_rate = desc_rate;
	}

	/** 
	 * 频率值（按比例，具体百分比）
	 */ 
	
	private String desc_val;
	public String  getDesc_val() {
		return this.desc_val;
	}
	public void setDesc_val(String desc_val) {
		this.desc_val = desc_val;
	}

	/** 
	 * 分组索引号(同一分组的为多选一项)
	 */ 
	
	private String group_seq;
	public String  getGroup_seq() {
		return this.group_seq;
	}
	public void setGroup_seq(String group_seq) {
		this.group_seq = group_seq;
	}

	/** 
	 * 宽度（外径）下限值
	 */ 

	private String min_d;
	public String  getMin_d() {
		return this.min_d;
	}
	public void setMin_d(String min_d) {
		this.min_d = min_d;
	}

	/** 
	 * 宽度（外径）上限值
	 */ 
	
	private String max_d;
	public String  getMax_d() {
		return this.max_d;
	}
	public void setMax_d(String max_d) {
		this.max_d = max_d;
	}

	/** 
	 * 厚度（壁厚）下限值
	 */ 

	private String min_h;
	public String  getMin_h() {
		return this.min_h;
	}
	public void setMin_h(String min_h) {
		this.min_h = min_h;
	}

	/** 
	 * 厚度（壁厚）上限值
	 */ 
	
	private String max_h;
	public String  getMax_h() {
		return this.max_h;
	}
	public void setMax_h(String max_h) {
		this.max_h = max_h;
	}

	/** 
	 * 宽度（外径）下限值符号
	 */ 

	private String min_d_sign;
	public String  getMin_d_sign() {
		return this.min_d_sign;
	}
	public void setMin_d_sign(String min_d_sign) {
		this.min_d_sign = min_d_sign;
	}

	/** 
	 * 宽度（外径）上限值符号
	 */ 
	
	private String max_d_sign;
	public String  getMax_d_sign() {
		return this.max_d_sign;
	}
	public void setMax_d_sign(String max_d_sign) {
		this.max_d_sign = max_d_sign;
	}

	/** 
	 * 厚度（壁厚）下限值符号
*/
	private String min_h_sign;
	public String  getMin_h_sign() {
		return this.min_h_sign;
	}
	public void setMin_h_sign(String min_h_sign) {
		this.min_h_sign = min_h_sign;
	}

	/** 
	 * 厚度（壁厚）上限值符号
	 */ 
	
	private String max_h_sign;
	public String  getMax_h_sign() {
		return this.max_h_sign;
	}
	public void setMax_h_sign(String max_h_sign) {
		this.max_h_sign = max_h_sign;
	}

	/** 
	 * 创建人
	 */ 
	
	private String create_name;
	public String  getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 

	private String update_name;
	public String  getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 删除人
	 */ 
	
	private String delete_name;
	public String  getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 删除时间
	 */ 

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date  getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

	/** 
	 * 有效标志(1:有效，0:无效)
	 */ 

	private String validflag;
	public String  getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 备注
	 */ 

	private String memo;
	public String  getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

}
